Subject: bug#72268: 31.0.50; Color emoji rendering

From: Manuel Giraud <[email-masked]>
Date: Wed, 24 Jul 2024 20:00:48 +0200

Robert Pluim <[email-masked]> writes:

>>>>>> On Wed, 24 Jul 2024 17:15:44 +0300, Eli Zaretskii <[email-masked]> said:
>
>     >> From: Manuel Giraud <[email-masked]>
>     >> Cc: [email-masked],  [email-masked]
>     >> Date: Wed, 24 Jul 2024 15:48:39 +0200
>     >> 
>     >> > Please show what "C-u C-x =" says when point is on one of these Emoji.
>     >> 
>     >> Here is what I see:
>
>     Eli> Thanks.  Very strange.  Can someone who uses Cairo on GNU/Linux
>     Eli> reproduce this?
>
>     Eli> Cairo 1.18.0 is a recent new major release, maybe it's a problem with
>     Eli> that version?  Does anyone else use it and sees correct color Emoji
>     Eli> display?
>
> My Fedora install uses Cairo 1.18.0, and I see emoji fine in a
> '--with-x-toolkit=no --with-cairo' build. Although thatʼs using
> XWayland, not X11.
>
> I can offer the following from etc/PROBLEMS:

Thanks.  I've try moving the system "fontconfig/conf.d" out of the way
but it does not change anything.  FWIW, I can display those Emoji (in
color) in Firefox but not xfce4-terminal.  So maybe, it is not an Emacs
bug.
-- 
Manuel Giraud